<?xml version="1.0" encoding="windows-874"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="html" version="1.0" encoding="windows-874" indent="yes"/>

  <xsl:template match="/">
    	<html><body>
<xsl:variable name="image-dir">./images</xsl:variable>
<img>
  <xsl:attribute name="src">
    <xsl:value-of select="$image-dir"/><xsl:text>/</xsl:text>
	<xsl:value-of select="new_book/image/href" />
  </xsl:attribute> 
  <xsl:attribute name="width">
	<xsl:value-of select="new_book/image/size/@width" />
  </xsl:attribute> 
  <xsl:attribute name="alt">
	<xsl:text>Դ-ҧ- XML</xsl:text>
  </xsl:attribute> 
</img>
		<xsl:apply-templates select="new_book/title">
	   		<xsl:with-param name="headerElement">h1</xsl:with-param>
  		</xsl:apply-templates>

		<xsl:for-each select="//section">
			 <xsl:call-template name="prn_section">
				<xsl:with-param name="var-num"><xsl:number format="1."/></xsl:with-param>
      				<xsl:with-param name="headerElement">h2</xsl:with-param>
    			</xsl:call-template>
		</xsl:for-each>
	</body></html>
  </xsl:template>

  <xsl:template name="prn_section">
	<xsl:param name="var-num"></xsl:param>
	<xsl:param name="headerElement">h4</xsl:param>
	<p>
    	<xsl:element name="{$headerElement}">
		<xsl:text> </xsl:text>  
		<xsl:value-of select="$var-num"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="title"/>
    	</xsl:element>
	<xsl:value-of select="para"/>
	</p>
  </xsl:template>


  <xsl:template match="title">
    <xsl:param name="headerElement">h4</xsl:param>
    <xsl:element name="{$headerElement}">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>

