import org.xml.sax.*;             // The main SAX package
import org.xml.sax.helpers.*;     // SAX helper classes
import java.io.*;                 // For reading the input file
import java.util.Vector;

public class SaxReader extends DefaultHandler {
   // ʵԧ package SAXParser ͧ Xerces 㹵ʵԧ READER
   private static final String READER = "org.apache.xerces.parsers.SAXParser";

   private XMLReader reader;
   private StringBuffer accumulator;
   private String playTitle;
   private Vector teamlist;

   //  Constructor ͧʹ 㹡õ駤ҵҧ 
   public SaxReader() throws SAXException {

      // ҧҹ͡ XML  reader ҡ SAXParser ͧ Xerces
      reader = XMLReaderFactory.createXMLReader(READER);

      // 駤 Handler ҧ
      reader.setContentHandler( this );
      reader.setErrorHandler( this );
   }

   public void readPlay( String playPath ) throws SAXException,IOException
   {
   reader.parse( playPath );
   }

    // ͷҹ  parse ͡  
    public void startDocument() {
       
        accumulator = new StringBuffer();
        teamlist = new Vector();
    }

    // ŷͧ 㹷ͪͷص  string buffer
    public void characters(char[] buffer, int start, int length) {
        accumulator.append(buffer, start, length);
    }

     // ҹ (Դ) ź string buffer   
 
    public void startElement(String namespaceURI, String localName,
                             String fullName, Attributes attributes) {
        accumulator.setLength(0);
    }

    // ҹ֧硻Դͧ зӴѧ
    public void endElement(String namespaceURI, String localName, String fullName) {

       if ( localName.equals("Team") ) {
         // 纪ͷ teamlist
           teamlist.add( accumulator.toString().trim() );
        } else if (localName.equals("PremierShip")) {
         // Ͷ֧硻Դ PremierShip شҹ͡ù (ش͡)
         try {
            reader = XMLReaderFactory.createXMLReader(READER);
         } catch ( SAXException e ) {}
         }
    }

  // ֧ªͷ͡Ҩҡ teamlist
   public String[] getTeamlist() {
      String[] temp = (String[])teamlist.toArray(new String[0]);
      return temp;
   }

   // ǹͧʹ main 繨شͧ
   public static void main( String[] args ) throws IOException, SAXException {

        SaxReader sr = new SaxReader();
        String[] playTeamlist; 

   // ֧Ūͷ͡
      try {
         for ( int i = 0; i < args.length; i++ ) {
            sr.readPlay( args[i] );
            System.out.println("**************************");
           
            playTeamlist = sr.getTeamlist();
            for ( int j = 0; j < playTeamlist.length; j++ ) {
               System.out.println( playTeamlist[j] );
            }
            System.out.println("**************************");
         }
      } catch ( IOException e ) {
         System.out.println("Error reading file: " + e.getMessage());
      } catch ( SAXException e ) {
         System.out.println("Error parsing file: " + e.getMessage());
      }
    }

   // ʴͤǡѺ exception , error  fatal error ʹ warning , error  fatalError
    public void warning(SAXParseException exception) {
        System.err.println("WARNING: line " + exception.getLineNumber() + ": "+
                           exception.getMessage());
    }

    public void error(SAXParseException exception) {
        System.err.println("ERROR: line " + exception.getLineNumber() + ": " +
                           exception.getMessage());
    }

    public void fatalError(SAXParseException exception) throws SAXException {
        System.err.println("FATAL: line " + exception.getLineNumber() + ": " +
                           exception.getMessage());
        throw(exception);
    }
}

